## tdesdk-trinity 14.0.10

=== debian/changelog ===
tdesdk-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Apr 2021 11:35:06 +0200

=== debian/control ===
Source: tdesdk-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, gawk,
 pkg-config, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
 tdepim-trinity-dev, libapr1-dev, libtdepim1-trinity-dev,
 libktnef1-trinity-dev, libsvn-dev, libdb-dev,
 libiberty-dev | binutils-dev (<< 2.23.91.20131123-1~)
Standards-Version: 3.8.4

Package: tdesdk-trinity
Architecture: all
Section: tde
Replaces: kdesdk-trinity (<< 4:14.0.0~)
Breaks: kdesdk-trinity (<< 4:14.0.0~)
Depends: cervisia-trinity (>= ${source:Version}), kapptemplate-trinity (>= ${source:Version}), kbabel-trinity (>= ${source:Version}), kbugbuster-trinity (>= ${source:Version}), tdecachegrind-trinity (>= ${source:Version}), tdesdk-tdefile-plugins-trinity (>= ${source:Version}), tdesdk-tdeio-plugins-trinity (>= ${source:Version}) | tdesvn-tdeio-plugins-trinity, tdesdk-misc-trinity (>= ${source:Version}), tdesdk-scripts-trinity, kmtrace-trinity (>= ${source:Version}), kompare-trinity (>= ${source:Version}), kspy-trinity (>= ${source:Version}), kuiviewer-trinity (>= ${source:Version}), tdeunittest-trinity (>= ${source:Version}), poxml-trinity (>= ${source:Version}), umbrello-trinity (>= ${source:Version})
Suggests: tdecachegrind-converters-trinity, kbabel-trinity-dev, tdesdk-trinity-doc-html
Description: software development kit from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the Trinity Software Development Kit, a collection
 of applications and tools useful for developing TDE applications.

Package: tdesdk-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdesdk-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdesdk-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdesdk-trinity
Description: Trinity Software Development Kit documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE SDK documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/umbrello/. Documentation is provided for most
 TDE SDK packages.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: cervisia-trinity
Architecture: any
Section: devel
Replaces: cervisia-trinity (<< 4:14.0.0~)
Breaks: cervisia-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
Description: a graphical CVS front end for Trinity
 Cervisia is a TDE-based graphical front end for the CVS client.
 .
 As well as providing both common and advanced CVS operations, it offers
 a variety of methods for graphically viewing information about the CVS
 repository, your own sandbox and the relationships between different
 versions of files.  A Changelog editor is also included and is coupled
 with the commit dialog.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kapptemplate-trinity
Architecture: all
Section: devel
Replaces: kapptemplate-trinity (<< 4:14.0.0~)
Breaks: kapptemplate-trinity (<< 4:14.0.0~)
Recommends: automake1.9 | automaken, tdelibs14-trinity-dev
Description: creates a framework to develop a Trinity application
 KAppTemplate is a shell script that will create the necessary
 framework to develop various TDE applications.  It takes care of the
 autoconf/automake code as well as providing a skeleton and example of
 what the code typically looks like.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbabel-trinity
Architecture: any
Section: devel
Replaces: kbabel-trinity (<< 4:14.0.0~)
Breaks: kbabel-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
Description: PO-file editing suite for Trinity
 This is a suite of programs for editing translation message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbabel-trinity-dev
Architecture: any
Section: libdevel
Replaces: kbabel-trinity-dev (<< 4:14.0.0~)
Breaks: kbabel-trinity-dev (<< 4:14.0.0~)
Depends: kbabel-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: PO-file editing suite for Trinity (development files)
 This is a suite of programs for editing translation message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package contains the KBabel development files.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbugbuster-trinity
Architecture: any
Section: devel
Replaces: kbugbuster-trinity (<< 4:14.0.0~)
Breaks: kbugbuster-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a front end for the Trinity bug tracking system
 KBugBuster is a GUI front end for the TDE bug tracking system.
 It allows the user to view and manipulate bug reports and provides a
 variety of options for searching through reports.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdecachegrind-trinity
Architecture: any
Section: devel
Replaces: kcachegrind-trinity (<< 4:14.0.0~)
Breaks: kcachegrind-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
Suggests: tdecachegrind-converters-trinity, khelpcenter-trinity, tdesdk-trinity-doc-html
Description: visualisation tool for valgrind profiling output
 TDECachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 For visualising the output from other profiling tools, several converters
 can be found in the tdecachegrind-converters package.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdecachegrind-converters-trinity
Architecture: all
Section: devel
Replaces: kcachegrind-converters-trinity (<< 4:14.0.0~)
Breaks: kcachegrind-converters-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, php-cli | php5-cli, python-all
Recommends: tdecachegrind-trinity
Description: format converters for TDECachegrind profiling visualisation tool
 This is a collection of scripts for converting the output from
 different profiling tools into a format that TDECachegrind can use.
 .
 TDECachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-tdefile-plugins-trinity
Architecture: any
Section: tde
Replaces: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity file dialog plugins for software development files
 This is a collection of plugins for the TDE file dialog.  These plugins
 extend the file dialog to offer advanced meta-information for source files,
 patch files and Qt Linguist data.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-misc-trinity
Architecture: any
Section: devel
Replaces: kdesdk-misc-trinity (<< 4:14.0.0~)
Breaks: kdesdk-misc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libtqt3-mt-dev | libtqt3-dev
Suggests: gimp | xpaint
Description: various goodies from the Trinity Software Development Kit
 This package contains miscellaneous goodies provided with the official
 TDE release to assist with TDE software development.
 .
 Included are:
  - headers to assist with profiling TDE code;
  - a widget style for checking conformity with the TDE/TQt style guide;
  - palettes that match the TDE standard colour palette;
  - a TDE address book plugin that reads the list of TDE CVS accounts.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-scripts-trinity
Architecture: all
Section: devel
Replaces: kdesdk-scripts-trinity (<< 4:14.0.0~)
Breaks: kdesdk-scripts-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, python-all
Recommends: automake1.9 | automaken, cvs, gawk
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html, dmalloc, gdb, tdelibs14-trinity-doc, tqt3-doc, valgrind, devscripts
Enhances: kate-trinity
Description: a set of useful development scripts for Trinity
 This package contains a number of scripts which can be used to help in
 developing TDE-based applications.  Many of these scripts however are
 not specific to TDE, and in particular there are several general-use
 scripts to help users in working with SVN and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for TQt/TDE programming;
  - vim and emacs helper files for TQt/TDE programming;
  - bash and zsh completion controls for TDE apps;
  - valgrind error suppressions for TDE apps.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kmtrace-trinity
Architecture: any
Section: devel
Replaces: kmtrace-trinity (<< 4:14.0.0~)
Breaks: kmtrace-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, less
Description: a Trinity memory leak tracer
 KMtrace is a TDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .

## tdesdk-trinity 14.0.11

=== debian/changelog ===
tdesdk-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Sep 2021 11:32:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_STRIP_ARGS := --dbg-package=tdesdk-trinity-dbg

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_DBSEARCHENGINE="ON" \
 -DWITH_KCAL="ON"

PACKAGES_WITH_LIBS := kbabel-trinity kompare-trinity kspy-trinity tdeunittest-trinity libcvsservice0-trinity umbrello-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_INSTALL_CHANGELOGS_cervisia-trinity := cervisia/ChangeLog
DEB_INSTALL_CHANGELOGS_kapptemplate-trinity := kapptemplate/ChangeLog
DEB_INSTALL_CHANGELOGS_kbabel-trinity := kbabel/ChangeLog
DEB_INSTALL_CHANGELOGS_tdecachegrind-trinity := tdecachegrind/ChangeLog
DEB_INSTALL_CHANGELOGS_kompare-trinity := kompare/ChangeLog
DEB_INSTALL_CHANGELOGS_umbrello-trinity := umbrello/ChangeLog

binary-install/tdesdk-scripts-trinity::
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/pl/man1/kdemangen.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/kdemangen.pl.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/pl/man1/png2mng.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/png2mng.pl.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/py/man1/kdelnk2desktop.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/kdelnk2desktop.py.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/py/man1/zonetab2pot.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/zonetab2pot.py.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/sh/man1/build-progress.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/build-progress.sh.1
	mv -f debian/tdesdk-scripts-trinity/opt/trinity/bin/svn-clean \
		debian/tdesdk-scripts-trinity/opt/trinity/bin/svn-clean-kde
	mv -f debian/tdesdk-scripts-trinity/opt/trinity/bin/svnversions \
		debian/tdesdk-scripts-trinity/opt/trinity/bin/svnversion-kde
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man/pl
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man/py
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man/sh
	mv debian/tdesdk-scripts-trinity/usr/share/man/man1/* debian/tdesdk-scripts-trinity/opt/trinity/share/man/man1/
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man
	install -p -D -m644 scripts/kde-buildrc \
		debian/tdesdk-scripts-trinity/opt/trinity/share/doc/tdesdk-scripts-trinity/kde-buildrc.example

binary-install/tdesdk-misc-trinity::
	install -p -D -m644 kdeaccounts-plugin/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.kdeaccounts-plugin
	install -p -D -m644 tdeioslave/svn/AUTHORS \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/AUTHORS.tdeioslave-svn
	install -p -D -m644 tdeioslave/svn/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.tdeioslave-svn
	install -p -D -m644 kprofilemethod/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.kprofilemethod
	install -p -D -m644 scheck/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.scheck

binary-install/kapptemplate-trinity::
	rm -f debian/kapptemplate-trinity/opt/trinity/share/apps/kapptemplate/admin/*.cdbs-orig
	for admindirfile in compile config.guess config.sub debianrules depcomp detect-autoconf.pl \
			Doxyfile.global install-sh missing mkinstalldirs nmcheck ylwrap; do \
		chmod 755 debian/kapptemplate-trinity/opt/trinity/share/apps/kapptemplate/admin/$$admindirfile; \
	done
	mv debian/kapptemplate-trinity/usr/share/man debian/kapptemplate-trinity/opt/trinity/share/

binary-install/kbabel-trinity::
	mv debian/kbabel-trinity/usr/share/man debian/kbabel-trinity/opt/trinity/share/

binary-install/kbugbuster-trinity::
	mv debian/kbugbuster-trinity/usr/share/man debian/kbugbuster-trinity/opt/trinity/share/

binary-install/kmtrace-trinity::
	mv debian/kmtrace-trinity/usr/share/man debian/kmtrace-trinity/opt/trinity/share/

binary-install/kompare-trinity::
	mv debian/kompare-trinity/usr/share/man debian/kompare-trinity/opt/trinity/share/

binary-install/kspy-trinity::
	mv debian/kspy-trinity/usr/share/man debian/kspy-trinity/opt/trinity/share/

binary-install/kuiviewer-trinity::
	mv debian/kuiviewer-trinity/usr/share/man debian/kuiviewer-trinity/opt/trinity/share/

binary-install/libcvsservice0-trinity::
	mv debian/libcvsservice0-trinity/usr/share/man debian/libcvsservice0-trinity/opt/trinity/share/

binary-install/poxml-trinity::
	mv debian/poxml-trinity/usr/share/man debian/poxml-trinity/opt/trinity/share/

binary-install/tdecachegrind-converters-trinity::
	mv debian/tdecachegrind-converters-trinity/usr/share/man debian/tdecachegrind-converters-trinity/opt/trinity/share/

binary-install/tdecachegrind-trinity::
	mv debian/tdecachegrind-trinity/usr/share/man debian/tdecachegrind-trinity/opt/trinity/share/

binary-install/umbrello-trinity::
	mv debian/umbrello-trinity/usr/share/man debian/umbrello-trinity/opt/trinity/share/

## tdesdk-trinity 14.0.12

=== debian/changelog ===
tdesdk-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:23:26 +0100

## tdesdk-trinity 14.0.13

=== debian/changelog ===
tdesdk-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 13 Oct 2022 08:54:32 +0200

## tdesdk-trinity 14.1.0

=== debian/changelog ===
tdesdk-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 16 Jan 2023 05:14:39 +0100

## tdesdk-trinity 14.1.1

=== debian/changelog ===
tdesdk-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 13:33:38 +0200

## tdesdk-trinity 14.1.2

=== debian/changelog ===
tdesdk-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 20:15:30 +0200

## tdesdk-trinity 14.1.3

=== debian/changelog ===
tdesdk-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:41 +0200

## tdesdk-trinity 14.1.4

=== debian/changelog ===
tdesdk-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_STRIP_ARGS := --dbg-package=tdesdk-trinity-dbg

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_DBSEARCHENGINE="ON" \
 -DWITH_KCAL="ON"

PACKAGES_WITH_LIBS := kbabel-trinity kompare-trinity kspy-trinity tdeunittest-trinity libcvsservice0-trinity umbrello-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_INSTALL_CHANGELOGS_cervisia-trinity := cervisia/ChangeLog
DEB_INSTALL_CHANGELOGS_kapptemplate-trinity := kapptemplate/ChangeLog
DEB_INSTALL_CHANGELOGS_kbabel-trinity := kbabel/ChangeLog
DEB_INSTALL_CHANGELOGS_tdecachegrind-trinity := tdecachegrind/ChangeLog
DEB_INSTALL_CHANGELOGS_kompare-trinity := kompare/ChangeLog
DEB_INSTALL_CHANGELOGS_umbrello-trinity := umbrello/ChangeLog

binary-install/tdesdk-scripts-trinity::
	mv -f debian/$(cdbs_curpkg)/opt/trinity/bin/svn-clean \
		debian/$(cdbs_curpkg)/opt/trinity/bin/svn-clean-kde
	mv -f debian/$(cdbs_curpkg)/opt/trinity/bin/svnversions \
		debian/$(cdbs_curpkg)/opt/trinity/bin/svnversion-kde
	install -p -D -m644 scripts/kde-buildrc \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-scripts-trinity/kde-buildrc.example
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/bin

binary-install/tdesdk-misc-trinity::
	install -p -D -m644 kdeaccounts-plugin/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.kdeaccounts-plugin
	install -p -D -m644 tdeioslave/svn/AUTHORS \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/AUTHORS.tdeioslave-svn
	install -p -D -m644 tdeioslave/svn/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.tdeioslave-svn
	install -p -D -m644 kprofilemethod/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.kprofilemethod
	install -p -D -m644 scheck/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.scheck

binary-install/kapptemplate-trinity::
	rm -f debian/$(cdbs_curpkg)/opt/trinity/share/apps/kapptemplate/admin/*.cdbs-orig
	for admindirfile in compile config.guess config.sub debianrules depcomp detect-autoconf.pl \
			Doxyfile.global install-sh missing mkinstalldirs nmcheck ylwrap; do \
		chmod 755 debian/$(cdbs_curpkg)/opt/trinity/share/apps/kapptemplate/admin/$$admindirfile; \
	done

binary-install/tdecachegrind-converters-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/bin

binary-install/umbrello-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/umbrello/headings

## tdesdk-trinity 14.1.5~pre1

=== debian/changelog ===
tdesdk-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 2864cea0a87dbd3f6e7c9ab494cf3fe00b98d0f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesdk-trinity 14.1.5

=== doc/CMakeLists.txt ===
add_subdirectory( man )

tde_conditional_add_subdirectory( BUILD_CERVISIA cervisia )
#tde_conditional_add_subdirectory( BUILD_KAPPTEMPLATE kapptemplate )
tde_conditional_add_subdirectory( BUILD_KBABEL kbabel )
tde_conditional_add_subdirectory( BUILD_KBUGBUSTER kbugbuster )
tde_conditional_add_subdirectory( BUILD_KOMPARE kompare )
tde_conditional_add_subdirectory( BUILD_KUIVIEWER kuiviewer )
tde_conditional_add_subdirectory( BUILD_SCRIPTS scripts )
tde_conditional_add_subdirectory( BUILD_TDECACHEGRIND tdecachegrind )
# tdesvn-build is under the script folder
tde_conditional_add_subdirectory( BUILD_SCRIPTS tdesvn-build )
tde_conditional_add_subdirectory( BUILD_UMBRELLO umbrello )

=== kapptemplate/admin/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/../../admin/
  DESTINATION ${DATA_INSTALL_DIR}/kapptemplate/admin
  USE_SOURCE_PERMISSIONS
  REGEX "Makefile(|\\.in|\\.am)$|.*-orig$|(^|/)\\.git(|modules)$" EXCLUDE
)

=== kapptemplate/appframework/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( no-exe )

install( FILES
    AUTHORS INSTALL COPYING NEWS app.spec configure.in.in.in
    README base-Makefile.am ChangeLog VERSION base-Makefile.cvs
    po-Makefile.am
  DESTINATION ${DATA_INSTALL_DIR}/kapptemplate/appframework )

=== kapptemplate/kpartplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( no-exe )

install( FILES
    plugin-Makefile.am plugin_app.cpp plugin_app.h plugin_app.rc
    hi16-action-plugin.png hi22-action-plugin.png
  DESTINATION ${DATA_INSTALL_DIR}/kapptemplate/kpartplugin )

=== kbabel/common/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( libgettext )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    catalog.h catalogitem.h editcmd.h msgfmt.h catalogsettings.h
    findoptions.h catalogview.h tagextractor.h poinfo.h regexpextractor.h
    itempart.h catalogfileplugin.h kbabeldatatool.h kbproject.h
    kbprojectmanager.h projectsettings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kbabel )


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbabelfilter.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)

install( FILES kbprojectsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kbabel-projectrename.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )


##### kbabelcommon (shared) #####################

add_custom_command( OUTPUT version.h
  COMMAND echo \"/* Generated file - DO NOT EDIT */\" > version.h
  COMMAND echo \"\#undef VERSION\" >> version.h
  COMMAND echo \"\#define VERSION \\\"`cat ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION`\\\"\" >> version.h
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION )

set_source_files_properties( catalog.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/version.h )

tde_add_library( kbabelcommon SHARED AUTOMOC
  SOURCES
    catalog.cpp catalogitem.cpp editcmd.cpp msgfmt.cpp
    catalogsettings.cpp tagextractor.cpp diff.cpp argextractor.cpp
    kbmailer.cpp poinfo.cpp regexpextractor.cpp importplugin.cpp
    exportplugin.cpp kbproject.cpp kbprojectmanager.cpp
    kbprojectsettings.kcfgc projectsettings.cpp stringdistance.cpp
  VERSION 3.2.0
  LINK gettext-static tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kompare/komparenavtreepart/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../libdiff2
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE komparenavtreepart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kompare-desktops
)


##### libkomparenavtreepart (module) ############

tde_add_kpart( libkomparenavtreepart AUTOMOC
  SOURCES komparenavtreepart.cpp
  LINK diff2-static tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kompare/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( )

=== poxml/antlr/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( src )

=== tdecachegrind/tdecachegrind/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE tdecachegrind.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
  PO_DIR tdecachegrind-desktops
)

install( FILES tdecachegrindui.rc tips DESTINATION ${DATA_INSTALL_DIR}/tdecachegrind )

tde_create_translated_desktop(
  SOURCE x-tdecachegrind.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR tdecachegrind-desktops
)


##### tdecachegrind (executable) ##################

tde_add_executable( tdecachegrind AUTOMOC
  SOURCES
    functionselectionbase.ui stackselectionbase.ui partselectionbase.ui
    configdlgbase.ui loader.cpp cachegrindloader.cpp treemap.cpp pool.cpp
    main.cpp configuration.cpp functionselection.cpp coverage.cpp
    partgraph.cpp toplevel.cpp stackselection.cpp stackbrowser.cpp
    subcost.cpp tracedata.cpp partselection.cpp configdlg.cpp
    utils.cpp fixcost.cpp traceitemview.cpp instrview.cpp tabview.cpp
    sourceview.cpp callmapview.cpp callview.cpp coverageview.cpp
    costtypeview.cpp partview.cpp listutils.cpp costtypeitem.cpp
    multiview.cpp callitem.cpp coverageitem.cpp sourceitem.cpp
    costlistitem.cpp partlistitem.cpp functionitem.cpp instritem.cpp
    stackitem.cpp callgraphview.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kbabel/common/libgettext/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### pofiles.cpp (source) #######################

add_custom_command( OUTPUT pofiles.cpp
  COMMAND ${LEX_EXECUTABLE} -+ -opofiles.cpp ${CMAKE_CURRENT_SOURCE_DIR}/pofiles.ll
)


##### gettext (static) ##########################

tde_add_library( gettext STATIC_PIC
  SOURCES pofiles.cpp
)

=== kbabel/datatools/arguments/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../../common
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbabel_argstool.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)


##### kbabel_argstool (module) #######################

tde_add_kpart( kbabel_argstool AUTOMOC
  SOURCES main.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kbabel/filters/linguist/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/../../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../../common
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbabel_linguist_export.desktop kbabel_linguist_import.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)


##### kbabel_linguistexport (module) ############

tde_add_kpart( kbabel_linguistexport
  SOURCES linguistexport.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kbabel_linguistimport (module) ############

tde_add_kpart( kbabel_linguistimport
  SOURCES linguistimport.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdesdk-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, gawk,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
  pkg-config, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
  tdepim-trinity-dev, libapr1-dev, libtdepim1-trinity-dev,
  libktnef1-trinity-dev, libsvn-dev, libdb-dev,
- libiberty-dev | binutils-dev (<< 2.23.91.20131123-1~)
+ libiberty-dev | binutils-dev (<< 2.23.91.20131123-1~), dh-python
 Standards-Version: 3.8.4
 
 Package: tdesdk-trinity
 Architecture: all
 Section: tde
-Replaces: kdesdk-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
 Depends: cervisia-trinity (>= ${source:Version}), kapptemplate-trinity (>= ${source:Version}), kbabel-trinity (>= ${source:Version}), kbugbuster-trinity (>= ${source:Version}), tdecachegrind-trinity (>= ${source:Version}), tdesdk-tdefile-plugins-trinity (>= ${source:Version}), tdesdk-tdeio-plugins-trinity (>= ${source:Version}) | tdesvn-tdeio-plugins-trinity, tdesdk-misc-trinity (>= ${source:Version}), tdesdk-scripts-trinity, kmtrace-trinity (>= ${source:Version}), kompare-trinity (>= ${source:Version}), kspy-trinity (>= ${source:Version}), kuiviewer-trinity (>= ${source:Version}), tdeunittest-trinity (>= ${source:Version}), poxml-trinity (>= ${source:Version}), umbrello-trinity (>= ${source:Version})
 Suggests: tdecachegrind-converters-trinity, kbabel-trinity-dev, tdesdk-trinity-doc-html
 Description: software development kit from the official Trinity release
@@ -30,8 +30,8 @@
 Package: tdesdk-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdesdk-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdesdk-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdesdk-trinity
 Description: Trinity Software Development Kit documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -50,8 +50,8 @@
 Package: cervisia-trinity
 Architecture: any
 Section: devel
-Replaces: cervisia-trinity (<< 4:14.0.0~)
-Breaks: cervisia-trinity (<< 4:14.0.0~)
+Replaces: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
+Breaks: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
 Description: a graphical CVS front end for Trinity
@@ -69,8 +69,8 @@
 Package: kapptemplate-trinity
 Architecture: all
 Section: devel
-Replaces: kapptemplate-trinity (<< 4:14.0.0~)
-Breaks: kapptemplate-trinity (<< 4:14.0.0~)
+Replaces: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
+Breaks: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
 Recommends: automake1.9 | automaken, tdelibs14-trinity-dev
 Description: creates a framework to develop a Trinity application
  KAppTemplate is a shell script that will create the necessary
@@ -84,8 +84,8 @@
 Package: kbabel-trinity
 Architecture: any
 Section: devel
-Replaces: kbabel-trinity (<< 4:14.0.0~)
-Breaks: kbabel-trinity (<< 4:14.0.0~)
+Replaces: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
+Breaks: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
 Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
@@ -106,8 +106,8 @@
 Package: kbabel-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: kbabel-trinity-dev (<< 4:14.0.0~)
-Breaks: kbabel-trinity-dev (<< 4:14.0.0~)
+Replaces: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
+Breaks: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
 Depends: kbabel-trinity (= ${source:Version}), tdelibs14-trinity-dev
 Description: PO-file editing suite for Trinity (development files)
  This is a suite of programs for editing translation message files (PO-files).
@@ -128,8 +128,8 @@
 Package: kbugbuster-trinity
 Architecture: any
 Section: devel
-Replaces: kbugbuster-trinity (<< 4:14.0.0~)
-Breaks: kbugbuster-trinity (<< 4:14.0.0~)
+Replaces: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
+Breaks: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a front end for the Trinity bug tracking system
@@ -143,8 +143,8 @@
 Package: tdecachegrind-trinity
 Architecture: any
 Section: devel
-Replaces: kcachegrind-trinity (<< 4:14.0.0~)
-Breaks: kcachegrind-trinity (<< 4:14.0.0~)
+Replaces: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
+Breaks: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
 Suggests: tdecachegrind-converters-trinity, khelpcenter-trinity, tdesdk-trinity-doc-html
@@ -163,9 +163,9 @@
 Package: tdecachegrind-converters-trinity
 Architecture: all
 Section: devel
-Replaces: kcachegrind-converters-trinity (<< 4:14.0.0~)
-Breaks: kcachegrind-converters-trinity (<< 4:14.0.0~)
-Depends: ${perl:Depends}, php-cli | php5-cli, python-all
+Replaces: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
+Breaks: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
+Depends: ${perl:Depends}, ${python3:Depends}, php-cli | php5-cli
 Recommends: tdecachegrind-trinity
 Description: format converters for TDECachegrind profiling visualisation tool
  This is a collection of scripts for converting the output from
@@ -182,8 +182,8 @@
 Package: tdesdk-tdefile-plugins-trinity
 Architecture: any
 Section: tde
-Replaces: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Trinity file dialog plugins for software development files
  This is a collection of plugins for the TDE file dialog.  These plugins
@@ -196,8 +196,8 @@
 Package: tdesdk-misc-trinity
 Architecture: any
 Section: devel
-Replaces: kdesdk-misc-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-misc-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: libtqt3-mt-dev | libtqt3-dev
 Suggests: gimp | xpaint
@@ -217,34 +217,12 @@
 Package: tdesdk-scripts-trinity
 Architecture: all
 Section: devel
-Replaces: kdesdk-scripts-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-scripts-trinity (<< 4:14.0.0~)
-Depends: ${perl:Depends}, python-all
+Replaces: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
+Depends: ${perl:Depends}, ${python3:Depends}
 Recommends: automake1.9 | automaken, cvs, gawk
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html, dmalloc, gdb, tdelibs14-trinity-doc, tqt3-doc, valgrind, devscripts
 Enhances: kate-trinity
 Description: a set of useful development scripts for Trinity
  This package contains a number of scripts which can be used to help in
  developing TDE-based applications.  Many of these scripts however are
- not specific to TDE, and in particular there are several general-use
- scripts to help users in working with SVN and CVS repositories.
- .
- In addition to these scripts, this package provides:
-  - gdb macros for TQt/TDE programming;
-  - vim and emacs helper files for TQt/TDE programming;
-  - bash and zsh completion controls for TDE apps;
-  - valgrind error suppressions for TDE apps.
- .
- This package is part of Trinity, and a component of the TDE SDK module.
- See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.
-
-Package: kmtrace-trinity
-Architecture: any
-Section: devel
-Replaces: kmtrace-trinity (<< 4:14.0.0~)
-Breaks: kmtrace-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, less
-Description: a Trinity memory leak tracer
- KMtrace is a TDE tool to assist with malloc debugging using glibc's
- "mtrace" functionality.
- .

## tdesdk-trinity 14.1.6~pre0

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 2864cea0a87dbd3f6e7c9ab494cf3fe00b98d0f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdesdk-trinity 14.1.6~pre2

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for df07e4fad09508605de6171a3fdd945f1461ab7c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:43 +0100

## tdesdk-trinity 14.1.6~pre5

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 1e39f0e5b854e67d242cfdb80205263de21c30be
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 09:35:29 +0100

## tdesdk-trinity 14.1.6~pre6

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre6-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for 035fb4633eafb290af1e55e0b77ef6f6227d399e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:13 +0100

## tdesdk-trinity 14.1.6~pre7

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre7-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f33a0c33b086158c24ad36c0dd41ccf4c3821db6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:19:39 +0100

## tdesdk-trinity 14.1.6~pre9

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre9-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 826523e3e8ff5cff6c4a2b1e0b83519e38bf77fe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 10 Feb 2026 22:32:58 +0100
